INTERFACE
SUBROUTINE m7_nucl_ve&
 & ( KIDIA , KFDIA, KLON , KLEV ,&
 & ptp1 , prhd , pmolecH2SO4,&
 & pxtrnucr, pntot ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA, KLON, KLEV
REAL(KIND=JPRB),INTENT(IN) :: ptp1(klon,klev) , prhd(klon ,klev),&
 & pmolecH2SO4(klon,klev) 
REAL(KIND=JPRB),INTENT(OUT) :: pntot(klon ,klev), pxtrnucr(klon ,klev)
END SUBROUTINE m7_nucl_ve
END INTERFACE
